% Function, used to get impulse responses
% Based on the work of Tom Holden's paper: http://www.dynare.org/wp-repo/dynarewp004.pdf

function IRF = GetIRFnew( VariableName, ShockName, TIRF)
    IRF = GetMean( VariableName ) + (GetMean( VariableName).*GetRelIRF( VariableName, ShockName,TIRF));
end